#ifndef HQ_TEMPO
#define HQ_TEMPO


/*
 * recepteur de telecommandes EDF à 175 Hz 
 */

#define  NTBITS     40     /* nombre de bits de la sequence pulsadis   */
#define  NSAMPLES  140     /* nombre  d'échantillons pour detection de la sequence */
#define  SAMPLING_RATE 700L

/*
 * constante de detection en 1/100 de secondes * frequence echantillonnage / 2
 *    pour un ref_time de 350 Hz
 */
#define CST_260    ( 260*7/2) /*  silence_apres_start */
#define CST_100    ( 100*7/2) /*  durée_bit           */
#define CST_150    ( 150*7/2) /*  silence_apres_bit   */

/*
 * Numero des bits recu
 */
#define C_A_ON    1-1
#define C_A_OFF   2-1
#define C_C_ON    3-1
#define C_C_OFF   4-1
#define C_D_ON    8-1
#define C_D_OFF   9-1
#define C_E_ON   11-1
#define C_E_OFF  12-1


#define A_BLEU      18-1        /* annonce bleu  pour demain */
#define A_BLANC     21-1        /* annonce blanc pour demain */
#define A_ROUGE     24-1        /* annonce rouge pour demain */

#define C_BLEU      33-1        /* couleur du jour : bleu */
#define C_BLANC     36-1        /* couleur du jour : blanc */
#define C_ROUGE     39-1        /* couleur du jour : rouge */

#define T_JOUR      35-1        /* tarif jour */
#define T_NUIT      32-1        /* tarif nuit */

#define AR_TPH      8-1         /* arret tph 22:30 */
#define ST_TPH     12-1         /* start tph  7:00 */

enum {
  B_A_BLEU,
  B_A_BLANC,
  B_A_ROUGE,
  B_C_BLEU,
  B_C_BLANC,
  B_C_ROUGE,
  B_T_JOUR,
  B_T_NUIT,
  B_AR_TPH,
  B_ST_TPH
};

enum {
  Bit_A,
  Bit_C,
  Bit_D,
  Bit_E,
  Bit_Tn,
  Bit_Dn,
  Bit_Fn,
  Bit_Jour
};

/*
 * Etat reception
 */
#define D_REPOS     0
#define D_START     1
#define D_FIRST     2
#define D_FIRST_OK  3

/* number of entry in table ee_bits for detecting tempo */
#define N_EEBITS 10

#endif /* TEMPO_H */
